/*
Theme Name: DMN WP STARTER
Description: DMN WP STARTER Child theme for customizations.
Author: DMN Creative
Author URI: mailto:dev@dmncreative.com
Template: oceanwp
Text Domain:  dmnwpstarter
Version: 2.0
*/

/* Parent stylesheet should be loaded from functions.php not using @import */

/* Importing fonts */
 @import "assets/fonts/fonts.css";
/* Importing fonts end */

/* Helpers and Init Styles */
:root{
    --site-headings-font: "Roundark";
    --site-body-font: "Futura PT";
    --site-main-green: #20B5AC;
    --site-main-black: #272727;
    --site-main-white: #ffffff;
    --site-main-bronz: #D6C9BD;
    --site-button-padding: clamp(12px, 1.5vw, 15px) clamp(16px, 3vw, 30px) clamp(12px, 1.5vw, 15px) clamp(16px, 3vw, 30px);
    --site-h1-size: clamp(30px, 6.25vw, 120px);
    --site-h2-size: clamp(1.4rem, 1vw + 0.8rem, 2.2rem);
    --site-span-size: clamp(1.2rem, 1.1vw + 0.05rem, 1.8rem);
}

a:focus {
    outline: none !important;
}

h1, h2, h3, h4, h5, h6 {
    margin-bottom: 0px;
}

.site-content p, .site-content span:not(.xpro-title-focus), .archive .site p, .archive .site span:not(.xpro-title-focus) {
    font-size: var(--site-span-size);
}

.site-content h1, .archive .site h1 {
    font-size: var(--site-h1-size);
}

.site-content h2, .archive .site h2 {
    font-size: var(--site-h2-size);
}

.site-content .elementor-widget-button .elementor-button-wrapper .elementor-button-text, .site-content a {
    font-size: var(--site-span-size);
}

.oceanwp-pagination .page-numbers a.page-numbers, .oceanwp-pagination .page-numbers span.page-numbers {
    font-size: var(--site-span-size);
}

.cust-boxed-container-left > .e-con-inner {
    margin: 0px 0px 0px auto;
}

.cust-boxed-container-right > .e-con-inner {
    margin: 0px auto 0px 0px;
}
/* Helpers End */

/* HEader */

header {
    display: none;
}

/* Header End */

/* FORMS */

/* Global Changes */

.wpcf7 .wpcf7-form .wpcf7-response-output {
    margin: 0px;
    color: white;
    text-align: center;
}

.wpcf7 .wpcf7-form.sent .wpcf7-response-output {
    border-color: var(--site-main-green);
}

/* Global Changes End */ 


/* Newsletter Form */

.cust-newsletter-form {
    padding: 0px;
}

.cust-newsletter-form .row {
    --bs-gutter-y: 20px;
    --bs-gutter-x: 35px;
}

.cust-newsletter-form .row:not(:last-child) {
    margin-bottom: 20px;
}

.cust-newsletter-form .row input[type="email"],
.cust-newsletter-form .row input[type="text"] {
    font-size: clamp(1.4rem, 1vw + 0.5rem, 2.2rem);
}

.cust-newsletter-form .cust-newsletter-form-submit-btn-row {
    justify-content: center;
}

.cust-newsletter-form .row .cust-newsletter-form-submit-btn input {
    color: #120D08;
}

.cust-newsletter-form .row .cust-newsletter-form-submit-btn input:hover {
    color: var(--site-main-bronz);
}

.cust-newsletter-form .row:last-child .col-md-12:last-child {
    display: flex;
    justify-content: center;
    align-items: center;
    width: fit-content;
    margin-top: 40px;
    margin-bottom: 10px;
}

.cust-newsletter-form .row .col-md-12:last-child .wpcf7-spinner {
    position: absolute;
    margin: 0px;
}

.cust-newsletter-form .wpcf7-form.invalid .wpcf7-response-output,
.cust-newsletter-form  .wpcf7-form.sent .wpcf7-response-output {
    margin-top: 20px;
    text-align: center;
    color: var(--site-main-white);
}

.wpcf7-form.sent .cust-contact-us-form{
    display: none;
}

/* Newsletter Form END*/

/* FORMS END */

/* Desktop Styles Only */
@media screen and (min-width: 992px)  {

}

/* Laptop Styles Only */
@media screen and (min-width: 992px) and (max-width: 1690px) {

}

/* Mobile Styles */
@media screen and (max-width: 767px) {

}

/* iPad Styles */
@media screen and (max-width: 850px) and (min-width: 780px)  {

}

/* ANIMATIONS */

/* ANIMATIONS END */

